## com.sun.jersey.spi.template
Class ResolvedViewable<T>

    java.lang.Object
      com.sun.jersey.api.view.Viewable
          com.sun.jersey.spi.template.ResolvedViewable<T>

Type Parameters:
  `T` - the type of the resolved template object.

    public class ResolvedViewable<T>

extends Viewable

A resolved `Viewable`.

A resolved viewable is obtained from the resolving methods on `TemplateContext` and has associated with it a `ViewProcessor` that is capable of processing a template identified by a template reference.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`ResolvedViewable(ViewProcessor<T> vp, T t, Viewable v)` Create a resolved viewable.
`ResolvedViewable(ViewProcessor<T> vp, T t, Viewable v, java.lang.Class<?> resolvingClass)` Create a resolved viewable.

Method Summary
`void` | `writeTo(java.io.OutputStream out)` Write the resolved viewable.

Methods inherited from class com.sun.jersey.api.view.Viewable
`getModel, getResolvingClass, getTemplateName, isTemplateNameAbsolute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolvedViewable

    public ResolvedViewable(ViewProcessor<T> vp,
                            T t,
                            Viewable v)

  Create a resolved viewable.

  Parameters:
    `vp` - the view processor that resolved a template name to a template reference.
    `t` - the template reference.
    `v` - the viewable that is resolved.

### ResolvedViewable

    public ResolvedViewable(ViewProcessor<T> vp,
                            T t,
                            Viewable v,
                            java.lang.Class<?> resolvingClass)

  Create a resolved viewable.

  Parameters:
    `vp` - the view processor that resolved a template name to a template reference.
    `t` - the template reference.
    `v` - the viewable that is resolved.
    `resolvingClass` - the resolving class that was used to resolve a relative template name into an absolute template name.

Method Detail

### writeTo

    public void writeTo(java.io.OutputStream out)
                 throws java.io.IOException

  Write the resolved viewable.

  This method defers to `ViewProcessor.writeTo(java.lang.Object, com.sun.jersey.api.view.Viewable, java.io.OutputStream)` to write the viewable utilizing the template reference.

  Parameters:
    `out` - the output stream that the view processor writes to.
  Throws:
    `java.io.IOException`

Copyright © 2017 Oracle Corporation. All Rights Reserved.